# Imagick::borderImage

(PECL imagick 2.0.0)

Imagick::borderImage — Surrounds the image with a border

### Description

Imagick::borderImage ( mixed `$bordercolor` , int `$width` , int `$height` ) : bool

Surrounds the image with a border of the color defined by the bordercolor ImagickPixel object.

### Parameters

`bordercolor`

  ImagickPixel object or a string containing the border color

`width`

  Border width

`height`

  Border height

### Return Values

Returns `TRUE` on success.

### Changelog

Version | Description
--- | ---
2.1.0 | Now allows a string representing the color as the first parameter. Previous versions allow only an ImagickPixel object.

### Examples

Example #1 Imagick::borderImage()

`<?php
function borderImage($imagePath, $color, $width, $height) {
$imagick = new \Imagick(realpath($imagePath));
$imagick->borderImage($color, $width, $height);
header("Content-Type: image/jpg");
echo $imagick->getImageBlob();
}
?>`